FreeBSD : mantis -- multiple vulnerabilities (1f0d0024-ac9c-11ee-8e91-1c697a013f4b)

high Nessus Plugin ID 187852

Language:

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

The version of FreeBSD installed on the remote host is prior to tested version. It is, therefore, affected by multiple vulnerabilities as referenced in the 1f0d0024-ac9c-11ee-8e91-1c697a013f4b advisory.

- guzzlehttp/psr7 is a PSR-7 HTTP message library implementation in PHP. Affected versions are subject to improper header parsing. An attacker could sneak in a newline (\n) into both the header names and values.
While the specification states that \r\n\r\n is used to terminate the header list, many servers in the wild will also accept \n\n. This is a follow-up to CVE-2022-24775 where the fix was incomplete. The issue has been patched in versions 1.9.1 and 2.4.5. There are no known workarounds for this vulnerability. Users are advised to upgrade. (CVE-2023-29197)

- MantisBT is an open source bug tracker. Due to insufficient access-level checks on the Wiki redirection page, any user can reveal private Projects' names, by accessing wiki.php with sequentially incremented IDs. This issue has been addressed in commit `65c44883f` which has been included in release `2.258`. Users are advised to upgrade. Users unable to upgrade should disable wiki integration ( `$g_wiki_enable = OFF;`). (CVE-2023-44394)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-29197

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-44394

http://www.nessus.org/u?70e818b7

Plugin Details

Severity: High

ID: 187852

File Name: freebsd_pkg_1f0d0024ac9c11ee8e911c697a013f4b.nasl

Version: 1.0

Type: local

Published: 1/10/2024

Updated: 1/10/2024

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: High

Base Score: 7.8

Temporal Score: 5.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:C/A:N

CVSS Score Source: CVE-2023-29197

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:mantis-php74, p-cpe:/a:freebsd:freebsd:mantis-php82, cpe:/o:freebsd:freebsd, p-cpe:/a:freebsd:freebsd:mantis-php80, p-cpe:/a:freebsd:freebsd:mantis-php81, p-cpe:/a:freebsd:freebsd:mantis-php83

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Ease: No known exploits are available

Patch Publication Date: 1/6/2024

Vulnerability Publication Date: 4/17/2023

Reference Information

CVE: CVE-2023-29197, CVE-2023-44394